Skip to content
Clym

API reference

Embedded settings

Operations for embedded content settings

Read embedded settings

GET

Retrieve embedded content platform settings

Path parameters:

Name Type Required Description
property_id string Yes
200Embedded settingsapplication/json
resultobjectoptional
Embedded content settings
Show properties
video_providersobjectoptional
Individual setting field with metadata
Show properties
idintegeroptional
namestringoptional
valuestring | boolean | integer | number | any[]optional
allowed_valuesstring[]optional
feature_flagstringoptional
can_changebooleanoptional
video_has_vppaobjectoptional
Individual setting field with metadata
Show properties
idintegeroptional
namestringoptional
valuestring | boolean | integer | number | any[]optional
allowed_valuesstring[]optional
feature_flagstringoptional
can_changebooleanoptional
video_title_textobjectoptional
Individual setting field with metadata
Show properties
idintegeroptional
namestringoptional
valuestring | boolean | integer | number | any[]optional
allowed_valuesstring[]optional
feature_flagstringoptional
can_changebooleanoptional
video_details_textobjectoptional
Individual setting field with metadata
Show properties
idintegeroptional
namestringoptional
valuestring | boolean | integer | number | any[]optional
allowed_valuesstring[]optional
feature_flagstringoptional
can_changebooleanoptional
video_button_textobjectoptional
Individual setting field with metadata
Show properties
idintegeroptional
namestringoptional
valuestring | boolean | integer | number | any[]optional
allowed_valuesstring[]optional
feature_flagstringoptional
can_changebooleanoptional
form_providersobjectoptional
Individual setting field with metadata
Show properties
idintegeroptional
namestringoptional
valuestring | boolean | integer | number | any[]optional
allowed_valuesstring[]optional
feature_flagstringoptional
can_changebooleanoptional
form_title_textobjectoptional
Individual setting field with metadata
Show properties
idintegeroptional
namestringoptional
valuestring | boolean | integer | number | any[]optional
allowed_valuesstring[]optional
feature_flagstringoptional
can_changebooleanoptional
form_details_textobjectoptional
Individual setting field with metadata
Show properties
idintegeroptional
namestringoptional
valuestring | boolean | integer | number | any[]optional
allowed_valuesstring[]optional
feature_flagstringoptional
can_changebooleanoptional
form_button_textobjectoptional
Individual setting field with metadata
Show properties
idintegeroptional
namestringoptional
valuestring | boolean | integer | number | any[]optional
allowed_valuesstring[]optional
feature_flagstringoptional
can_changebooleanoptional
chat_providersobjectoptional
Individual setting field with metadata
Show properties
idintegeroptional
namestringoptional
valuestring | boolean | integer | number | any[]optional
allowed_valuesstring[]optional
feature_flagstringoptional
can_changebooleanoptional
chat_has_wiretappingobjectoptional
Individual setting field with metadata
Show properties
idintegeroptional
namestringoptional
valuestring | boolean | integer | number | any[]optional
allowed_valuesstring[]optional
feature_flagstringoptional
can_changebooleanoptional
chat_has_notifyobjectoptional
Individual setting field with metadata
Show properties
idintegeroptional
namestringoptional
valuestring | boolean | integer | number | any[]optional
allowed_valuesstring[]optional
feature_flagstringoptional
can_changebooleanoptional
chat_title_textobjectoptional
Individual setting field with metadata
Show properties
idintegeroptional
namestringoptional
valuestring | boolean | integer | number | any[]optional
allowed_valuesstring[]optional
feature_flagstringoptional
can_changebooleanoptional
chat_notification_textobjectoptional
Individual setting field with metadata
Show properties
idintegeroptional
namestringoptional
valuestring | boolean | integer | number | any[]optional
allowed_valuesstring[]optional
feature_flagstringoptional
can_changebooleanoptional
chat_button_textobjectoptional
Individual setting field with metadata
Show properties
idintegeroptional
namestringoptional
valuestring | boolean | integer | number | any[]optional
allowed_valuesstring[]optional
feature_flagstringoptional
can_changebooleanoptional
chat_consent_textobjectoptional
Individual setting field with metadata
Show properties
idintegeroptional
namestringoptional
valuestring | boolean | integer | number | any[]optional
allowed_valuesstring[]optional
feature_flagstringoptional
can_changebooleanoptional
get/{property_id}/settings/embedded
GET /api/{property_id}/settings/embedded HTTP/1.1
Host: {instance}.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200Embedded settings
{
  "result": {
    "video_providers": {
      "id": 0,
      "name": "string",
      "value": null,
      "allowed_values": ["string"],
      "feature_flag": "string",
      "can_change": false
    },
    "video_has_vppa": {
      "id": 0,
      "name": "string",
      "value": null,
      "allowed_values": ["string"],
      "feature_flag": "string",
      "can_change": false
    },
    "video_title_text": {
      "id": 0,
      "name": "string",
      "value": null,
      "allowed_values": ["string"],
      "feature_flag": "string",
      "can_change": false
    },
    "video_details_text": {
      "id": 0,
      "name": "string",
      "value": null,
      "allowed_values": ["string"],
      "feature_flag": "string",
      "can_change": false
    },
    "video_button_text": {
      "id": 0,
      "name": "string",
      "value": null,
      "allowed_values": ["string"],
      "feature_flag": "string",
      "can_change": false
    },
    "form_providers": {
      "id": 0,
      "name": "string",
      "value": null,
      "allowed_values": ["string"],
      "feature_flag": "string",
      "can_change": false
    },
    "form_title_text": {
      "id": 0,
      "name": "string",
      "value": null,
      "allowed_values": ["string"],
      "feature_flag": "string",
      "can_change": false
    },
    "form_details_text": {
      "id": 0,
      "name": "string",
      "value": null,
      "allowed_values": ["string"],
      "feature_flag": "string",
      "can_change": false
    },
    "form_button_text": {
      "id": 0,
      "name": "string",
      "value": null,
      "allowed_values": ["string"],
      "feature_flag": "string",
      "can_change": false
    },
    "chat_providers": {
      "id": 0,
      "name": "string",
      "value": null,
      "allowed_values": ["string"],
      "feature_flag": "string",
      "can_change": false
    },
    "chat_has_wiretapping": {
      "id": 0,
      "name": "string",
      "value": null,
      "allowed_values": ["string"],
      "feature_flag": "string",
      "can_change": false
    },
    "chat_has_notify": {
      "id": 0,
      "name": "string",
      "value": null,
      "allowed_values": ["string"],
      "feature_flag": "string",
      "can_change": false
    },
    "chat_title_text": {
      "id": 0,
      "name": "string",
      "value": null,
      "allowed_values": ["string"],
      "feature_flag": "string",
      "can_change": false
    },
    "chat_notification_text": {
      "id": 0,
      "name": "string",
      "value": null,
      "allowed_values": ["string"],
      "feature_flag": "string",
      "can_change": false
    },
    "chat_button_text": {
      "id": 0,
      "name": "string",
      "value": null,
      "allowed_values": ["string"],
      "feature_flag": "string",
      "can_change": false
    },
    "chat_consent_text": {
      "id": 0,
      "name": "string",
      "value": null,
      "allowed_values": ["string"],
      "feature_flag": "string",
      "can_change": false
    }
  }
}

Save embedded settings

POST

Update embedded content platform settings

Path parameters:

Name Type Required Description
property_id string Yes
Request bodyapplication/json
settingsobjectrequired
200Settings updatedapplication/json
resultobjectoptional
Show properties
changedboolean | string[]optional
post/{property_id}/settings/embedded
POST /api/{property_id}/settings/embedded HTTP/1.1
Host: {instance}.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*

{
  "settings": {}
}
200Settings updated
{
  "result": {
    "changed": null
  }
}

Sign asset upload

POST

Generate signed URL for uploading embedded content assets

Path parameters:

Name Type Required Description
property_id string Yes
Request bodyapplication/json
mimestringrequired
fieldstringrequired
200Upload URL generatedapplication/json
resultobjectoptional
Show properties
urlstringoptional
attachment_idstringoptional
expires_atstringoptional
post/{property_id}/settings/embedded/sign-asset
POST /api/{property_id}/settings/embedded/sign-asset HTTP/1.1
Host: {instance}.clym.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*

{
  "mime": "string",
  "field": "string"
}
200Upload URL generated
{
  "result": {
    "url": "string",
    "attachment_id": "string",
    "expires_at": "string"
  }
}

© 2026 ClymTermsPrivacy policyCookie policy